/** ISO 639-1 language codes supported by Shopify. */
export declare enum LanguageCode {
    /** Afrikaans. */
    Af = "AF",
    /** Akan. */
    Ak = "AK",
    /** Amharic. */
    Am = "AM",
    /** Arabic. */
    Ar = "AR",
    /** Assamese. */
    As = "AS",
    /** Azerbaijani. */
    Az = "AZ",
    /** Belarusian. */
    Be = "BE",
    /** Bulgarian. */
    Bg = "BG",
    /** Bambara. */
    Bm = "BM",
    /** Bangla. */
    Bn = "BN",
    /** Tibetan. */
    Bo = "BO",
    /** Breton. */
    Br = "BR",
    /** Bosnian. */
    Bs = "BS",
    /** Catalan. */
    Ca = "CA",
    /** Chechen. */
    Ce = "CE",
    /** Czech. */
    Cs = "CS",
    /** Church Slavic. */
    Cu = "CU",
    /** Welsh. */
    Cy = "CY",
    /** Danish. */
    Da = "DA",
    /** German. */
    De = "DE",
    /** Dzongkha. */
    Dz = "DZ",
    /** Ewe. */
    Ee = "EE",
    /** Greek. */
    El = "EL",
    /** English. */
    En = "EN",
    /** Esperanto. */
    Eo = "EO",
    /** Spanish. */
    Es = "ES",
    /** Estonian. */
    Et = "ET",
    /** Basque. */
    Eu = "EU",
    /** Persian. */
    Fa = "FA",
    /** Fulah. */
    Ff = "FF",
    /** Finnish. */
    Fi = "FI",
    /** Faroese. */
    Fo = "FO",
    /** French. */
    Fr = "FR",
    /** Western Frisian. */
    Fy = "FY",
    /** Irish. */
    Ga = "GA",
    /** Scottish Gaelic. */
    Gd = "GD",
    /** Galician. */
    Gl = "GL",
    /** Gujarati. */
    Gu = "GU",
    /** Manx. */
    Gv = "GV",
    /** Hausa. */
    Ha = "HA",
    /** Hebrew. */
    He = "HE",
    /** Hindi. */
    Hi = "HI",
    /** Croatian. */
    Hr = "HR",
    /** Hungarian. */
    Hu = "HU",
    /** Armenian. */
    Hy = "HY",
    /** Interlingua. */
    Ia = "IA",
    /** Indonesian. */
    Id = "ID",
    /** Igbo. */
    Ig = "IG",
    /** Sichuan Yi. */
    Ii = "II",
    /** Icelandic. */
    Is = "IS",
    /** Italian. */
    It = "IT",
    /** Japanese. */
    Ja = "JA",
    /** Javanese. */
    Jv = "JV",
    /** Georgian. */
    Ka = "KA",
    /** Kikuyu. */
    Ki = "KI",
    /** Kazakh. */
    Kk = "KK",
    /** Kalaallisut. */
    Kl = "KL",
    /** Khmer. */
    Km = "KM",
    /** Kannada. */
    Kn = "KN",
    /** Korean. */
    Ko = "KO",
    /** Kashmiri. */
    Ks = "KS",
    /** Kurdish. */
    Ku = "KU",
    /** Cornish. */
    Kw = "KW",
    /** Kyrgyz. */
    Ky = "KY",
    /** Luxembourgish. */
    Lb = "LB",
    /** Ganda. */
    Lg = "LG",
    /** Lingala. */
    Ln = "LN",
    /** Lao. */
    Lo = "LO",
    /** Lithuanian. */
    Lt = "LT",
    /** Luba-Katanga. */
    Lu = "LU",
    /** Latvian. */
    Lv = "LV",
    /** Malagasy. */
    Mg = "MG",
    /** Maori. */
    Mi = "MI",
    /** Macedonian. */
    Mk = "MK",
    /** Malayalam. */
    Ml = "ML",
    /** Mongolian. */
    Mn = "MN",
    /** Marathi. */
    Mr = "MR",
    /** Malay. */
    Ms = "MS",
    /** Maltese. */
    Mt = "MT",
    /** Burmese. */
    My = "MY",
    /** Norwegian (Bokmål). */
    Nb = "NB",
    /** North Ndebele. */
    Nd = "ND",
    /** Nepali. */
    Ne = "NE",
    /** Dutch. */
    Nl = "NL",
    /** Norwegian Nynorsk. */
    Nn = "NN",
    /** Norwegian. */
    No = "NO",
    /** Oromo. */
    Om = "OM",
    /** Odia. */
    Or = "OR",
    /** Ossetic. */
    Os = "OS",
    /** Punjabi. */
    Pa = "PA",
    /** Polish. */
    Pl = "PL",
    /** Pashto. */
    Ps = "PS",
    /** Portuguese. */
    Pt = "PT",
    /** Portuguese (Brazil). */
    PtBr = "PT_BR",
    /** Portuguese (Portugal). */
    PtPt = "PT_PT",
    /** Quechua. */
    Qu = "QU",
    /** Romansh. */
    Rm = "RM",
    /** Rundi. */
    Rn = "RN",
    /** Romanian. */
    Ro = "RO",
    /** Russian. */
    Ru = "RU",
    /** Kinyarwanda. */
    Rw = "RW",
    /** Sindhi. */
    Sd = "SD",
    /** Northern Sami. */
    Se = "SE",
    /** Sango. */
    Sg = "SG",
    /** Sinhala. */
    Si = "SI",
    /** Slovak. */
    Sk = "SK",
    /** Slovenian. */
    Sl = "SL",
    /** Shona. */
    Sn = "SN",
    /** Somali. */
    So = "SO",
    /** Albanian. */
    Sq = "SQ",
    /** Serbian. */
    Sr = "SR",
    /** Sundanese. */
    Su = "SU",
    /** Swedish. */
    Sv = "SV",
    /** Swahili. */
    Sw = "SW",
    /** Tamil. */
    Ta = "TA",
    /** Telugu. */
    Te = "TE",
    /** Tajik. */
    Tg = "TG",
    /** Thai. */
    Th = "TH",
    /** Tigrinya. */
    Ti = "TI",
    /** Turkmen. */
    Tk = "TK",
    /** Tongan. */
    To = "TO",
    /** Turkish. */
    Tr = "TR",
    /** Tatar. */
    Tt = "TT",
    /** Uyghur. */
    Ug = "UG",
    /** Ukrainian. */
    Uk = "UK",
    /** Urdu. */
    Ur = "UR",
    /** Uzbek. */
    Uz = "UZ",
    /** Vietnamese. */
    Vi = "VI",
    /** Volapük. */
    Vo = "VO",
    /** Wolof. */
    Wo = "WO",
    /** Xhosa. */
    Xh = "XH",
    /** Yiddish. */
    Yi = "YI",
    /** Yoruba. */
    Yo = "YO",
    /** Chinese. */
    Zh = "ZH",
    /** Chinese (Simplified). */
    ZhCn = "ZH_CN",
    /** Chinese (Traditional). */
    ZhTw = "ZH_TW",
    /** Zulu. */
    Zu = "ZU"
}
/**
 * The code designating a country/region, which generally follows ISO 3166-1 alpha-2 guidelines.
 * If a territory doesn't have a country code value in the `CountryCode` enum, it might be considered a subdivision
 * of another country. For example, the territories associated with Spain are represented by the country code `ES`,
 * and the territories associated with the United States of America are represented by the country code `US`.
 *
 */
export declare enum CountryCode {
    /** Ascension Island. */
    Ac = "AC",
    /** Andorra. */
    Ad = "AD",
    /** United Arab Emirates. */
    Ae = "AE",
    /** Afghanistan. */
    Af = "AF",
    /** Antigua & Barbuda. */
    Ag = "AG",
    /** Anguilla. */
    Ai = "AI",
    /** Albania. */
    Al = "AL",
    /** Armenia. */
    Am = "AM",
    /** Netherlands Antilles. */
    An = "AN",
    /** Angola. */
    Ao = "AO",
    /** Argentina. */
    Ar = "AR",
    /** Austria. */
    At = "AT",
    /** Australia. */
    Au = "AU",
    /** Aruba. */
    Aw = "AW",
    /** Åland Islands. */
    Ax = "AX",
    /** Azerbaijan. */
    Az = "AZ",
    /** Bosnia & Herzegovina. */
    Ba = "BA",
    /** Barbados. */
    Bb = "BB",
    /** Bangladesh. */
    Bd = "BD",
    /** Belgium. */
    Be = "BE",
    /** Burkina Faso. */
    Bf = "BF",
    /** Bulgaria. */
    Bg = "BG",
    /** Bahrain. */
    Bh = "BH",
    /** Burundi. */
    Bi = "BI",
    /** Benin. */
    Bj = "BJ",
    /** St. Barthélemy. */
    Bl = "BL",
    /** Bermuda. */
    Bm = "BM",
    /** Brunei. */
    Bn = "BN",
    /** Bolivia. */
    Bo = "BO",
    /** Caribbean Netherlands. */
    Bq = "BQ",
    /** Brazil. */
    Br = "BR",
    /** Bahamas. */
    Bs = "BS",
    /** Bhutan. */
    Bt = "BT",
    /** Bouvet Island. */
    Bv = "BV",
    /** Botswana. */
    Bw = "BW",
    /** Belarus. */
    By = "BY",
    /** Belize. */
    Bz = "BZ",
    /** Canada. */
    Ca = "CA",
    /** Cocos (Keeling) Islands. */
    Cc = "CC",
    /** Congo - Kinshasa. */
    Cd = "CD",
    /** Central African Republic. */
    Cf = "CF",
    /** Congo - Brazzaville. */
    Cg = "CG",
    /** Switzerland. */
    Ch = "CH",
    /** Côte d’Ivoire. */
    Ci = "CI",
    /** Cook Islands. */
    Ck = "CK",
    /** Chile. */
    Cl = "CL",
    /** Cameroon. */
    Cm = "CM",
    /** China. */
    Cn = "CN",
    /** Colombia. */
    Co = "CO",
    /** Costa Rica. */
    Cr = "CR",
    /** Cuba. */
    Cu = "CU",
    /** Cape Verde. */
    Cv = "CV",
    /** Curaçao. */
    Cw = "CW",
    /** Christmas Island. */
    Cx = "CX",
    /** Cyprus. */
    Cy = "CY",
    /** Czechia. */
    Cz = "CZ",
    /** Germany. */
    De = "DE",
    /** Djibouti. */
    Dj = "DJ",
    /** Denmark. */
    Dk = "DK",
    /** Dominica. */
    Dm = "DM",
    /** Dominican Republic. */
    Do = "DO",
    /** Algeria. */
    Dz = "DZ",
    /** Ecuador. */
    Ec = "EC",
    /** Estonia. */
    Ee = "EE",
    /** Egypt. */
    Eg = "EG",
    /** Western Sahara. */
    Eh = "EH",
    /** Eritrea. */
    Er = "ER",
    /** Spain. */
    Es = "ES",
    /** Ethiopia. */
    Et = "ET",
    /** Finland. */
    Fi = "FI",
    /** Fiji. */
    Fj = "FJ",
    /** Falkland Islands. */
    Fk = "FK",
    /** Faroe Islands. */
    Fo = "FO",
    /** France. */
    Fr = "FR",
    /** Gabon. */
    Ga = "GA",
    /** United Kingdom. */
    Gb = "GB",
    /** Grenada. */
    Gd = "GD",
    /** Georgia. */
    Ge = "GE",
    /** French Guiana. */
    Gf = "GF",
    /** Guernsey. */
    Gg = "GG",
    /** Ghana. */
    Gh = "GH",
    /** Gibraltar. */
    Gi = "GI",
    /** Greenland. */
    Gl = "GL",
    /** Gambia. */
    Gm = "GM",
    /** Guinea. */
    Gn = "GN",
    /** Guadeloupe. */
    Gp = "GP",
    /** Equatorial Guinea. */
    Gq = "GQ",
    /** Greece. */
    Gr = "GR",
    /** South Georgia & South Sandwich Islands. */
    Gs = "GS",
    /** Guatemala. */
    Gt = "GT",
    /** Guinea-Bissau. */
    Gw = "GW",
    /** Guyana. */
    Gy = "GY",
    /** Hong Kong SAR. */
    Hk = "HK",
    /** Heard & McDonald Islands. */
    Hm = "HM",
    /** Honduras. */
    Hn = "HN",
    /** Croatia. */
    Hr = "HR",
    /** Haiti. */
    Ht = "HT",
    /** Hungary. */
    Hu = "HU",
    /** Indonesia. */
    Id = "ID",
    /** Ireland. */
    Ie = "IE",
    /** Israel. */
    Il = "IL",
    /** Isle of Man. */
    Im = "IM",
    /** India. */
    In = "IN",
    /** British Indian Ocean Territory. */
    Io = "IO",
    /** Iraq. */
    Iq = "IQ",
    /** Iran. */
    Ir = "IR",
    /** Iceland. */
    Is = "IS",
    /** Italy. */
    It = "IT",
    /** Jersey. */
    Je = "JE",
    /** Jamaica. */
    Jm = "JM",
    /** Jordan. */
    Jo = "JO",
    /** Japan. */
    Jp = "JP",
    /** Kenya. */
    Ke = "KE",
    /** Kyrgyzstan. */
    Kg = "KG",
    /** Cambodia. */
    Kh = "KH",
    /** Kiribati. */
    Ki = "KI",
    /** Comoros. */
    Km = "KM",
    /** St. Kitts & Nevis. */
    Kn = "KN",
    /** North Korea. */
    Kp = "KP",
    /** South Korea. */
    Kr = "KR",
    /** Kuwait. */
    Kw = "KW",
    /** Cayman Islands. */
    Ky = "KY",
    /** Kazakhstan. */
    Kz = "KZ",
    /** Laos. */
    La = "LA",
    /** Lebanon. */
    Lb = "LB",
    /** St. Lucia. */
    Lc = "LC",
    /** Liechtenstein. */
    Li = "LI",
    /** Sri Lanka. */
    Lk = "LK",
    /** Liberia. */
    Lr = "LR",
    /** Lesotho. */
    Ls = "LS",
    /** Lithuania. */
    Lt = "LT",
    /** Luxembourg. */
    Lu = "LU",
    /** Latvia. */
    Lv = "LV",
    /** Libya. */
    Ly = "LY",
    /** Morocco. */
    Ma = "MA",
    /** Monaco. */
    Mc = "MC",
    /** Moldova. */
    Md = "MD",
    /** Montenegro. */
    Me = "ME",
    /** St. Martin. */
    Mf = "MF",
    /** Madagascar. */
    Mg = "MG",
    /** North Macedonia. */
    Mk = "MK",
    /** Mali. */
    Ml = "ML",
    /** Myanmar (Burma). */
    Mm = "MM",
    /** Mongolia. */
    Mn = "MN",
    /** Macao SAR. */
    Mo = "MO",
    /** Martinique. */
    Mq = "MQ",
    /** Mauritania. */
    Mr = "MR",
    /** Montserrat. */
    Ms = "MS",
    /** Malta. */
    Mt = "MT",
    /** Mauritius. */
    Mu = "MU",
    /** Maldives. */
    Mv = "MV",
    /** Malawi. */
    Mw = "MW",
    /** Mexico. */
    Mx = "MX",
    /** Malaysia. */
    My = "MY",
    /** Mozambique. */
    Mz = "MZ",
    /** Namibia. */
    Na = "NA",
    /** New Caledonia. */
    Nc = "NC",
    /** Niger. */
    Ne = "NE",
    /** Norfolk Island. */
    Nf = "NF",
    /** Nigeria. */
    Ng = "NG",
    /** Nicaragua. */
    Ni = "NI",
    /** Netherlands. */
    Nl = "NL",
    /** Norway. */
    No = "NO",
    /** Nepal. */
    Np = "NP",
    /** Nauru. */
    Nr = "NR",
    /** Niue. */
    Nu = "NU",
    /** New Zealand. */
    Nz = "NZ",
    /** Oman. */
    Om = "OM",
    /** Panama. */
    Pa = "PA",
    /** Peru. */
    Pe = "PE",
    /** French Polynesia. */
    Pf = "PF",
    /** Papua New Guinea. */
    Pg = "PG",
    /** Philippines. */
    Ph = "PH",
    /** Pakistan. */
    Pk = "PK",
    /** Poland. */
    Pl = "PL",
    /** St. Pierre & Miquelon. */
    Pm = "PM",
    /** Pitcairn Islands. */
    Pn = "PN",
    /** Palestinian Territories. */
    Ps = "PS",
    /** Portugal. */
    Pt = "PT",
    /** Paraguay. */
    Py = "PY",
    /** Qatar. */
    Qa = "QA",
    /** Réunion. */
    Re = "RE",
    /** Romania. */
    Ro = "RO",
    /** Serbia. */
    Rs = "RS",
    /** Russia. */
    Ru = "RU",
    /** Rwanda. */
    Rw = "RW",
    /** Saudi Arabia. */
    Sa = "SA",
    /** Solomon Islands. */
    Sb = "SB",
    /** Seychelles. */
    Sc = "SC",
    /** Sudan. */
    Sd = "SD",
    /** Sweden. */
    Se = "SE",
    /** Singapore. */
    Sg = "SG",
    /** St. Helena. */
    Sh = "SH",
    /** Slovenia. */
    Si = "SI",
    /** Svalbard & Jan Mayen. */
    Sj = "SJ",
    /** Slovakia. */
    Sk = "SK",
    /** Sierra Leone. */
    Sl = "SL",
    /** San Marino. */
    Sm = "SM",
    /** Senegal. */
    Sn = "SN",
    /** Somalia. */
    So = "SO",
    /** Suriname. */
    Sr = "SR",
    /** South Sudan. */
    Ss = "SS",
    /** São Tomé & Príncipe. */
    St = "ST",
    /** El Salvador. */
    Sv = "SV",
    /** Sint Maarten. */
    Sx = "SX",
    /** Syria. */
    Sy = "SY",
    /** Eswatini. */
    Sz = "SZ",
    /** Tristan da Cunha. */
    Ta = "TA",
    /** Turks & Caicos Islands. */
    Tc = "TC",
    /** Chad. */
    Td = "TD",
    /** French Southern Territories. */
    Tf = "TF",
    /** Togo. */
    Tg = "TG",
    /** Thailand. */
    Th = "TH",
    /** Tajikistan. */
    Tj = "TJ",
    /** Tokelau. */
    Tk = "TK",
    /** Timor-Leste. */
    Tl = "TL",
    /** Turkmenistan. */
    Tm = "TM",
    /** Tunisia. */
    Tn = "TN",
    /** Tonga. */
    To = "TO",
    /** Turkey. */
    Tr = "TR",
    /** Trinidad & Tobago. */
    Tt = "TT",
    /** Tuvalu. */
    Tv = "TV",
    /** Taiwan. */
    Tw = "TW",
    /** Tanzania. */
    Tz = "TZ",
    /** Ukraine. */
    Ua = "UA",
    /** Uganda. */
    Ug = "UG",
    /** U.S. Outlying Islands. */
    Um = "UM",
    /** United States. */
    Us = "US",
    /** Uruguay. */
    Uy = "UY",
    /** Uzbekistan. */
    Uz = "UZ",
    /** Vatican City. */
    Va = "VA",
    /** St. Vincent & Grenadines. */
    Vc = "VC",
    /** Venezuela. */
    Ve = "VE",
    /** British Virgin Islands. */
    Vg = "VG",
    /** Vietnam. */
    Vn = "VN",
    /** Vanuatu. */
    Vu = "VU",
    /** Wallis & Futuna. */
    Wf = "WF",
    /** Samoa. */
    Ws = "WS",
    /** Kosovo. */
    Xk = "XK",
    /** Yemen. */
    Ye = "YE",
    /** Mayotte. */
    Yt = "YT",
    /** South Africa. */
    Za = "ZA",
    /** Zambia. */
    Zm = "ZM",
    /** Zimbabwe. */
    Zw = "ZW",
    /** Unknown Region. */
    Zz = "ZZ"
}
//# sourceMappingURL=types.d.ts.map